Page MenuHomePhabricator

Make Wikistories configurable for public release
Closed, ResolvedPublic

Description

Define a new configuration in the Wikistories MediaWiki extension that control the availability of the discover feature (show stories and CTA on article pages). The configuration will recognize two values: one that will make the extension in "beta", like it is now, and the other one will make it available to everyone (users and anons).

Event Timeline

I would like us to consider T303292: Let editors opt-out of stories discovery and CTA to minimize disruption for experienced editors

SBisson triaged this task as High priority.
SBisson updated the task description. (Show Details)
SBisson moved this task from Definition to Dev on the Inuka-Team (Kanban) board.

Change 823718 had a related patch set uploaded (by Sbisson; author: Sbisson):

[mediawiki/extensions/Wikistories@master] Introduce config to control how the discovery feature is enabled

https://gerrit.wikimedia.org/r/823718

@PWaigi-WMF when we make the stories on articles visible to all, including anonymous users, do we also show them the CTA to create new stories? Story creation is currently limited to logged in users so when anons click on it, they would land on the log in / sign up page.

Change 823718 merged by jenkins-bot:

[mediawiki/extensions/Wikistories@master] Introduce config to control how the discovery feature is enabled

https://gerrit.wikimedia.org/r/823718

SBisson renamed this task from Make Wikistories available to everyone on idwiki (out of beta) to Make Wikistories configurable for public release.Aug 19 2022, 12:58 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.
SBisson added a subscriber: EUdoh-WMF.

@EUdoh-WMF to test this, you can add $wgWikistoriesDiscoveryMode = 'public'; to your local settings and that should 1) hide the beta feature and 2) show stories on article pages for everyone.

@SBisson @EUdoh-WMF Sorry I missed the alert on this one.
I believe we should only allow logged in users for traceability/ accountability.

  1. When the config $wgWikistoriesDiscoveryMode = 'public'; is not in the Local settings file, the Beta Features section is visible in preferences and can be configured.
  2. When this is misconfigured, e.g, $wgWikistoriesDiscoveryMode = 'coconut';, the Beta Features section is no longer displayed in the Preferences and neither do users see Wikistories.

@SBisson since this parameter already has a fallback when it is not added to local settings (show BetaFeatures), I think the same should happen when it is misconfigured.

After discussion with @SBisson, this functionality will be modified as follows:

  1. If the Config is not present - do not show Wikistories at all.
  2. If the Config has an invalid value (e.g coconut) - do not show Wikistories at all. There can be a error in the logs, however.
  3. if the Config has a correct value - show Wikistories on beta or public mode, as it currently behaves.

Change 826882 had a related patch set uploaded (by Sbisson; author: Sbisson):

[operations/mediawiki-config@master] Explicit config for Wikistories discovery module

https://gerrit.wikimedia.org/r/826882

Change 826883 had a related patch set uploaded (by Sbisson; author: Sbisson):

[mediawiki/extensions/Wikistories@master] Make discovery mode config default to 'off'

https://gerrit.wikimedia.org/r/826883

The next step here is to deploy the configuration change so that the current behavior is preserved when the config default value is changed in the extension.

Change 826882 merged by jenkins-bot:

[operations/mediawiki-config@master] Explicit config for Wikistories discovery module

https://gerrit.wikimedia.org/r/826882

Mentioned in SAL (#wikimedia-operations) [2022-10-06T13:05:45Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:826882|Explicit config for Wikistories discovery module (T314582)]]

Mentioned in SAL (#wikimedia-operations) [2022-10-06T13:06:11Z] <urbanecm@deploy1002> urbanecm and sbisson: Backport for [[gerrit:826882|Explicit config for Wikistories discovery module (T314582)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-10-06T13:12:22Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:826882|Explicit config for Wikistories discovery module (T314582)]] (duration: 06m 37s)

Change 826883 merged by jenkins-bot:

[mediawiki/extensions/Wikistories@master] Make discovery mode config default to 'off'

https://gerrit.wikimedia.org/r/826883

Change 840178 had a related patch set uploaded (by Sbisson; author: Sbisson):

[mediawiki/extensions/Wikistories@wmf/1.40.0-wmf.4] Make discovery mode config default to 'off'

https://gerrit.wikimedia.org/r/840178

Change 840178 merged by jenkins-bot:

[mediawiki/extensions/Wikistories@wmf/1.40.0-wmf.4] Make discovery mode config default to 'off'

https://gerrit.wikimedia.org/r/840178

Mentioned in SAL (#wikimedia-operations) [2022-10-11T13:14:58Z] <lucaswerkmeister-wmde@deploy1002> Synchronized php-1.40.0-wmf.4/extensions/Wikistories/extension.json: Backport: [[gerrit:840178|Make discovery mode config default to 'off' (T314582)]] (duration: 03m 48s)

This works as defined below.

After discussion with @SBisson, this functionality will be modified as follows:

  1. If the Config is not present - do not show Wikistories at all.
  2. If the Config has an invalid value (e.g coconut) - do not show Wikistories at all. There can be a error in the logs, however.
  3. if the Config has a correct value - show Wikistories on beta or public mode, as it currently behaves.